Addon marketplace

PT Application Inspector for IntelliJ-based IDE

The PT Application Inspector plugin allows finding security vulnerabilities and undocumented functionality in your application code as you write it.

Go to extension

Overview

The PT Application Inspector plugin allows finding security vulnerabilities and undocumented functionality in your application code as you write it. (PHP, Java, JavaScript, Python, TypeScript are supported) With the built-in analysis modules, the plugin highlights not only source code vulnerabilities and configuration file flaws but also vulnerable third-party components and libraries used in application development.

Requirements

For the PT AI Application Inspector plugin to work correctly, the following technical requirements must be met:

  • JetBrains IDE (PhpStorm, IntelliJ IDEA, WebStorm, PyCharm) version 2022.2.3 or later
  • 8 GB of RAM
  • 5 GB of free disk space

Supported 64-bit OSs:

  • Debian version 11.1 or later
  • Fedora Workstation version 34 or later
  • OpenSUSE version 15.3 or later
  • Ubuntu Desktop version 20.04 or later
  • Windows 10

Supported macOSs:

  • Big Sur version 11.5 or later
  • Monterey version 12.0.0 or later

Privacy statement

By default, the PT Application Inspector plugin collects anonymous usage data and sends it to our team to help us understand how to improve the product. We do not pass collected information to third parties. Source code or IP addresses are not collected. You can stop data collection by disabling the Allow telemetry collection setting.

Product
PT Application Firewall
Category
Solutions
Tags
  • IntelliJ

Other addons for PT Application Firewall